Public Class usrCntlProgramme

    Private ADMIN As New cProgramme

 

    Private Sub usrCntlProgramme_Load(sender As Object, e As EventArgs) Handles Me.Load
        init()
    End Sub

    Private Sub btnAdminAkt_Click(sender As Object, e As EventArgs) Handles btnAdminAkt.Click
        ADMIN.setProgrammVersion("ADMIN", txtAdminVersionAkt.Text)
        init()
    End Sub

    Private Sub btnUidAkt_Click(sender As Object, e As EventArgs) Handles btnUidAkt.Click
        ADMIN.setProgrammVersion("UID", txtUidVersionAkt.Text)
        init()
    End Sub
    Private Sub btnMonitoringAkt_Click(sender As Object, e As EventArgs) Handles btnMonitoringAkt.Click
        ADMIN.setProgrammVersion("MONITORING", txtMonitoringVersionAkt.Text)
        init()
    End Sub
    Private Sub btnDispoAkt_Click(sender As Object, e As EventArgs) Handles btnDispoAkt.Click
        ADMIN.setProgrammVersion("DISPO", txtDispoVersionAkt.Text)
        init()
    End Sub
    Private Sub btnParkzeitAkt_Click(sender As Object, e As EventArgs) Handles btnParkzeitAkt.Click
        ADMIN.setProgrammVersion("PARKZEIT", txtParkzeitVersionAkt.Text)
        init()
    End Sub
  
    Private Sub btnSdlAkt_Click(sender As Object, e As EventArgs) Handles btnSdlAkt.Click
        ADMIN.setProgrammVersion("SDL", txtSdlVersionAkt.Text)
        init()
    End Sub
    Private Sub btnAvisoAkt_Click(sender As Object, e As EventArgs) Handles btnAvisoAkt.Click
        ADMIN.setProgrammVersion("AVISO", txtAvisoVersionAkt.Text)
        init()
    End Sub
    Private Sub Button6_Click(sender As Object, e As EventArgs)
        ADMIN.setProgrammVersion("AVISO_ATILLA", txtAvisoVersionAkt.Text)
        init()
    End Sub

    Public Sub init()
        ADMIN.getProgrammVersions()
        txtAdminVersionAkt.Text = ADMIN.ADMIN_VERSION
        txtUidVersionAkt.Text = ADMIN.UID_VERSION
        txtDispoVersionAkt.Text = ADMIN.DISPO_VERSION
        txtParkzeitVersionAkt.Text = ADMIN.PARKZEIT_VERSION
        '     txtZollVersionAkt.Text = ADMIN.ZOLL_VERSION
        txtSdlVersionAkt.Text = ADMIN.SDL_VERSION
        txtAvisoVersionAkt.Text = ADMIN.AVISO_VERSION
        '  txtAvisoAtillaVersionAkt.Text = ADMIN.AVISO_ATILLA_VERSION
        txtMonitoringVersionAkt.Text = ADMIN.MONITORING_VERSION
        txtDokuVersionAkt.Text = ADMIN.DOKU_VERSION
    End Sub

    Private Sub btnAdd_Click(sender As Object, e As EventArgs) Handles btnAdd.Click
        frmProgDetails.codename = "NEW"
        frmProgDetails.Show()
    End Sub
    Private Sub showADmin(sender As Object, e As EventArgs) Handles btnAdminDetails.Click, PictureBox1.Click
        frmProgDetails.codename = "ADMIN"
        frmProgDetails.Show()
    End Sub
    Private Sub btnUidDetails_Click(sender As Object, e As EventArgs) Handles btnUidDetails.Click
        frmProgDetails.codename = "UID"
        frmProgDetails.Show()
    End Sub
    Private Sub btnMonitoringDetails_Click(sender As Object, e As EventArgs) Handles btnMonitoringDetails.Click
        frmProgDetails.codename = "MONITORING"
        frmProgDetails.Show()
    End Sub
    Private Sub btnDispoDetails_Click(sender As Object, e As EventArgs) Handles btnDispoDetails.Click
        frmProgDetails.codename = "DISPO"
        frmProgDetails.Show()
    End Sub

    Private Sub btnParkzeitDetails_Click(sender As Object, e As EventArgs) Handles btnParkzeitDetails.Click
        frmProgDetails.codename = "PARKZEIT"
        frmProgDetails.Show()
    End Sub

    Private Sub btnZollDetails_Click(sender As Object, e As EventArgs)
        frmProgDetails.codename = "ZOLL"
        frmProgDetails.Show()
    End Sub

    Private Sub btnSdlDetails_Click(sender As Object, e As EventArgs) Handles btnSdlDetails.Click
        frmProgDetails.codename = "SDL"
        frmProgDetails.Show()
    End Sub

    Private Sub btnAvisoDetails_Click(sender As Object, e As EventArgs) Handles btnAvisoDetails.Click
        frmProgDetails.codename = "AVISO"
        frmProgDetails.Show()
    End Sub

    Private Sub Button5_Click(sender As Object, e As EventArgs)
        frmProgDetails.codename = "AVISO_ATILLA"
        frmProgDetails.Show()
    End Sub

    Private Sub btnAdminBerechtigungen_Click(sender As Object, e As EventArgs) Handles btnAdminBerechtigungen.Click
        showBerechtigung("ADMIN", ADMIN.ADMIN_ID)
    End Sub

    Private Sub btnUidBerechtigungen_Click(sender As Object, e As EventArgs) Handles btnUidBerechtigungen.Click
        showBerechtigung("UID", ADMIN.UID_ID)
    End Sub

    Private Sub btnDispoBerechtigungen_Click(sender As Object, e As EventArgs) Handles btnDispoBerechtigungen.Click
        showBerechtigung("DISPO", ADMIN.DISPO_ID)
    End Sub

    Private Sub btnParkzeitBerechtigungen_Click(sender As Object, e As EventArgs) Handles btnParkzeitBerechtigungen.Click
        showBerechtigung("PARKZEIT", ADMIN.PARKZEIT_ID)
    End Sub

    Private Sub btnZollBerechtigungen_Click(sender As Object, e As EventArgs)
        showBerechtigung("ZOLL", ADMIN.ZOLL_ID)
    End Sub

    Private Sub btnSdlBerechtigungen_Click(sender As Object, e As EventArgs) Handles btnSdlBerechtigungen.Click
        showBerechtigung("SDL", ADMIN.SDL_ID)
    End Sub

    Private Sub btnAvisoBerechtigungen_Click(sender As Object, e As EventArgs) Handles btnAvisoBerechtigungen.Click
     
        showBerechtigung("AVISO", 5) '--> wg. aviso_new
    End Sub

    Private Sub Button4_Click(sender As Object, e As EventArgs)
        showBerechtigung("AVISO_ATILLA", ADMIN.AVISO_ATILLA_ID)
    End Sub

    Private Sub showBerechtigung(ByVal codename As String, ByVal id As Integer)
        Dim frmBerechtigungsObjekte As New frmBerechtigungsObjekte(id, codename)
        frmBerechtigungsObjekte.ShowDialog(Me)
        Exit Sub
        frmProgBerechtigungen.codename = codename
        frmProgBerechtigungen.progId = id
        frmProgBerechtigungen.Show()
    End Sub
   

  
    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        frmProgDetails.codename = "AVISOTV"
        frmProgDetails.Show()
    End Sub

    Private Sub Button2_Click(sender As Object, e As EventArgs) Handles Button2.Click
        frmProgDetails.codename = "DPTV"
        frmProgDetails.Show()
    End Sub

    Private Sub Button3_Click(sender As Object, e As EventArgs) Handles Button3.Click
        frmProgDetails.codename = "FD"
        frmProgDetails.Show()
    End Sub

 

    Private Sub Button7_Click(sender As Object, e As EventArgs) Handles Button7.Click
        frmProgDetails.codename = "AVISO_NEW"
        frmProgDetails.Show()
    End Sub

    Private Sub Button8_Click(sender As Object, e As EventArgs) Handles Button8.Click
        Dim f As New frmUserSessions("AVISO")
        f.Show(Me)
    End Sub

    Private Sub Button9_Click(sender As Object, e As EventArgs) Handles Button9.Click
        Dim f As New frmUserSessions("SDL")
        f.Show(Me)
    End Sub

  
    Private Sub Button4_Click_1(sender As Object, e As EventArgs) Handles Button4.Click
        frmProgDetails.codename = "ROUTINE_MANAGER"
        frmProgDetails.Show()

    End Sub

    Private Sub Button5_Click_1(sender As Object, e As EventArgs) Handles Button5.Click
        frmProgDetails.codename = "MAIL_SENDER"
        frmProgDetails.Show()
    End Sub

    Private Sub Button10_Click(sender As Object, e As EventArgs) Handles Button10.Click
        frmProgDetails.codename = "DOKU"
        frmProgDetails.Show()
    End Sub

    Private Sub Button6_Click_1(sender As Object, e As EventArgs) Handles Button6.Click
        ADMIN.setProgrammVersion("DOKU", txtDokuVersionAkt.Text)
        init()
    End Sub

    Private Sub Button11_Click(sender As Object, e As EventArgs) Handles Button11.Click
        frmProgDetails.codename = "RKSV_DE"
        frmProgDetails.Show()
    End Sub

    Private Sub btn_sprache_Click(sender As Object, e As EventArgs) Handles btn_sprache_aviso.Click
        Dim f As New frmSprachen("tblTranslate", "FMZOLL", ADMIN.AVISO_ID)
        f.Show(Me)
    End Sub

    Private Sub btn_sprache2_Click(sender As Object, e As EventArgs) Handles btn_sprache_sdl.Click
        Dim f As New frmSprachen("tblTranslate", "FMZOLL", ADMIN.SDL_ID)
        f.Show(Me)
    End Sub

    Private Sub Button13_Click(sender As Object, e As EventArgs) Handles Button13.Click
        frmProgDetails.codename = "VERAG_OCR"

        frmProgDetails.Show()

    End Sub

    Private Sub Button14_Click(sender As Object, e As EventArgs) Handles Button14.Click
        frmProgDetails.codename = "VERAGCallAssist"
        frmProgDetails.Show()
    End Sub
End Class
